<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

error_reporting(E_ALL & ~E_NOTICE);

setlocale(LC_ALL, 'ru_RU.UTF8');
setlocale(LC_NUMERIC, 'C');
mb_internal_encoding("UTF-8");

date_default_timezone_set('Europe/Moscow');

if (version_compare(PHP_VERSION, '5.0.0', '<')) {echo "На таком старье работать отказываюсь! Давай пятую версию PHP!"; exit;}

$_SERVER["DOCUMENT_ROOT"]=rtrim($_SERVER["DOCUMENT_ROOT"], '/');
define('LAB_PATH_ROOT', $_SERVER["DOCUMENT_ROOT"]);
define('LAB_PATH_KERNEL', LAB_PATH_ROOT.'/kernel');
//каталог подключаемых модулей
define('LAB_PATH_MODULES', LAB_PATH_KERNEL."/modules");
//каталог скинов
define('LAB_PATH_TEMPLATE', LAB_PATH_ROOT.'/skins');

define('LAB_PATH_DATA', LAB_PATH_ROOT.'/data');
define('LAB_PATH_STORAGE', LAB_PATH_ROOT.'/storage');
//демонстрационный режим
define('DEMO_MODE', false);

define('SMARTY_SPL_AUTOLOAD', 1);
define('DS', '/');